NX Open C++ Reference Guide
|
Represents a circular section data for face blend. More...
Public Member Functions | |
NXOpen::GeometricUtilities::LawBuilder * | LawControl () |
Returns the Law builder Created in NX5.0.0. | |
NXOpen::Expression * | Radius () |
Returns the radius for the circular section with face blend. | |
NXOpen::GeometricUtilities::RadiusMethod | RadiusOption () |
Returns the radius option for the circular section with face blend. | |
void | SetLawControlConstantRadius (const NXString &radius) |
Sets a constant radius for the law control of the circular section with face blend. | |
void | SetLawControlConstantRadius (const char *radius) |
Sets a constant radius for the law control of the circular section with face blend. | |
void | SetLawControlEndRadius (const NXString &radius) |
Sets a end radius for the law control of the circular section with face blend. | |
void | SetLawControlEndRadius (const char *radius) |
Sets a end radius for the law control of the circular section with face blend. | |
void | SetLawControlStartRadius (const NXString &radius) |
Sets a start radius for the law control of the circular section with face blend. | |
void | SetLawControlStartRadius (const char *radius) |
Sets a start radius for the law control of the circular section with face blend. | |
void | SetRadius (const NXString &radius) |
Sets a radius for the circular section with face blend. | |
void | SetRadius (const char *radius) |
Sets a radius for the circular section with face blend. | |
void | SetRadiusOption (NXOpen::GeometricUtilities::RadiusMethod method) |
Sets the radius option for the circular section with face blend. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a circular section data for face blend.
Created in NX4.0.0.
NXOpen::GeometricUtilities::LawBuilder* NXOpen::GeometricUtilities::CircularCrossSection::LawControl | ( | ) |
Returns the Law builder
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::CircularCrossSection::Radius | ( | ) |
Returns the radius for the circular section with face blend.
Created in NX4.0.0.
License requirements : None
NXOpen::GeometricUtilities::RadiusMethod NXOpen::GeometricUtilities::CircularCrossSection::RadiusOption | ( | ) |
Returns the radius option for the circular section with face blend.
Created in NX4.0.0.
License requirements : None
void NXOpen::GeometricUtilities::CircularCrossSection::SetLawControlConstantRadius | ( | const NXString & | radius | ) |
Sets a constant radius for the law control of the circular section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::CircularCrossSection::SetLawControlConstantRadius | ( | const char * | radius | ) |
Sets a constant radius for the law control of the circular section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::CircularCrossSection::SetLawControlEndRadius | ( | const NXString & | radius | ) |
Sets a end radius for the law control of the circular section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::CircularCrossSection::SetLawControlEndRadius | ( | const char * | radius | ) |
Sets a end radius for the law control of the circular section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::CircularCrossSection::SetLawControlStartRadius | ( | const NXString & | radius | ) |
Sets a start radius for the law control of the circular section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::CircularCrossSection::SetLawControlStartRadius | ( | const char * | radius | ) |
Sets a start radius for the law control of the circular section with face blend.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | The value to be set |
void NXOpen::GeometricUtilities::CircularCrossSection::SetRadius | ( | const NXString & | radius | ) |
Sets a radius for the circular section with face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::GeometricUtilities::CircularCrossSection::SetRadius | ( | const char * | radius | ) |
Sets a radius for the circular section with face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radius | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::GeometricUtilities::CircularCrossSection::SetRadiusOption | ( | NXOpen::GeometricUtilities::RadiusMethod | method | ) |
Sets the radius option for the circular section with face blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
method | method |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.